[linuxsecurity-installer] Client install failed

Hello,

When I try to install AV client with f-secure-linuxsecurity-installer, I have a 404 error when installer requests guts2 url on the Policy Manager :

------------

package f-secure-linuxsecurity-12.0.19-1.x86_64 is already installed

Preparing...                         ########################################

Failed to install the product!

2020-05-14 16:24:50 fsguts2.c:1957[7] unexpected HTTP status code 404, expected 200

2020-05-14 16:24:50 fsguts2.c:1143[7] unable to fetch update information from the server, error 211 (server returned an error)

2020-05-14 16:24:50 src/guts2download.c:149[7] unable to fetch the list of updates, error 211 (server returned an error)

2020-05-14 16:24:50 src/guts2download.c:85[7] downloading the channel content from http://server.domain.tld:80/guts2 failed, error 211 (server returned an error)

activate: fsbootstrap failed (exit status 2)

Failed to activate the product!

------------

Policy Manager server and console are working together.

How can I resolve this issue please ? Thank you for your help.

Answers

  • jameschjamesch Posts: 152 Moderator
    edited May 15

    Hi spaillet

    Error http 404 from the server which means "not found", indicates Policy Manager configuration issue.

    Is your Policy Manager Server (PMS) in a closed environment or isolated mode ?

    Is Policy Manager Server accessible by the Linux Security installation target machine ?

    Also, ensure sure that PMS has the latest database version

  • spailletspaillet Posts: 5

    Hello Jamesh,

    Yes, I'm working in an isolated and closed environnement (no access to WAN). For now, it's a POC in a lab, without PMS registration (can't access to the registration service), using key code of the product we subscrided for the future deployment in production. The PMS and the client are on the same LAN, PMS and PMC are up. I can ping both (server to client and client to server), and a netcat on port 80 in both ways works too. A wget cmd from the client to http://server.domain.tld:80/ works. Is seems that just the gusts2 page doesn't exist.

    Info

    • PM version: 14.41.90760
    • PM OS: Centos 7 up to date
    • Client OS: Centos 7 up to date

    Thank you for your help.

  • jameschjamesch Posts: 152 Moderator

    Hi spaillet

    As you have an isolated and closed environment, you have to allow the database files to be updated in PMS first before installing Linux Security. During installation, Linux Security will connect to PMS and check if PMS has the latest database files. If there is no latest database files, this kind of installation failure will occur.

    In order to install F-Secure Linux Security 64 in an offline or isolated environment, follow the steps provided in the administration guide here: https://help.f-secure.com/product.html#business/linux-security-64/latest/en/task_DB7A3BA35BE747168B9F05499160F552-latest-en

Sign In or Register to comment.